@echo off
if exist cfg\outrun.cfg move cfg\outrun.cfg cfg\outrun.bak
if exist hi\outrun.hi move hi\outrun.hi hi\outrun.bak
if exist nvram\outrun.nv move nvram\outrun.nv nvram\outrun.bak
if exist diff\outrun.dif move diff\outrun.dif diff\outrun.bak

mame outrun -record outrun.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\outrun.bak move cfg\outrun.bak cfg\outrun.cfg
if exist hi\outrun.bak move hi\outrun.bak hi\outrun.hi
if exist nvram\outrun.bak move nvram\outrun.bak nvram\outrun.nv
if exist diff\outrun.bak move diff\outrun.bak diff\outrun.dif
